/*___________________________________________________________________________*/
/* IBM Optimization Solutions and Library Optimization Library               */
/* oslc.h - OSL C header file for character control variables                */
/* (c) IBM Corp, 1990,1997 All rights reserved.                              */
/*                                                                           */
/* US Government Users Restricted Rights - Use, duplication, or disclosure   */
/* restricted by GAS ADP Schedule Contract with IBM Corp.                    */
/*___________________________________________________________________________*/
#define OSLCLN 17              /* no. of character control variables */
static  char oslc[OSLCLN*80];  /* array for char. control variables */
#define CNAME      oslc[0*80]  /* problem name in the MPS file */
#define COBJECTIVE oslc[1*80]  /* objective function row name in the
                                  MPS file */
#define CRHS       oslc[2*80]  /* the RHS name in the MPS file */
#define CRANGE     oslc[3*80]  /* the range name in the MPS file */
#define CBOUND     oslc[4*80]  /* the bound name in the MPS file */
#define CBASIS     oslc[5*80]  /* the basis name in the MPS file */
#define CCHANGEOBJ oslc[6*80]  /* the name of cost (objective) change
                                  row in the MPS file to be
                                  used by ekkspar */
#define CCHANGERHS oslc[7*80]  /* the name of RHS change in the MPS
                                  file to be used by ekkspar */
#define CCHANGERANGE  oslc[8*80] /* the name of range change in the
                                    MPS file to be used by ekkspar */
#define CCHANGEBOUNDS oslc[9*80] /* the name of bounds change in the
                                    MPS file to be used by ekkspar */
#define CSSOLUTION   oslc[10*80] /* the name of the spreadsheet
                                    range(s) containing the adjustable
                                    cells */
#define CSCONSTRTS   oslc[11*80] /* the name of the spreadsheet
                                    range(s) containing the constraint
                                    cells */
#define CSOBJECTIVE  oslc[12*80] /* the name of the spreadsheet
                                    range containing the objective
                                    cell */
#define CSEKKSOS1    oslc[13*80] /* the name of the spreadsheet
                                    range(s) containing SOS sets of
                                    type 1 */
#define CSEKKSOS2    oslc[14*80] /* the name of the spreadsheet
                                    range(s) containing SOS sets of
                                    type 2 */
#define CSEKKSOS3    oslc[15*80] /* the name of the spreadsheet
                                    range(s) containing SOS sets of
                                    type 3 */
#define CSEKKSOS4    oslc[16*80] /* the name of the spreadsheet
                                    range(s) containing SOS sets of
                                    type 4 (gen. int. variables) */
